Subject: Re: [PATCH bpf-next] seltests: bpf: test_tunnel: use ip neigh

From: Jiri Benc <[email-masked]>
Date: Tue, 21 Sep 2021 18:31:59 +0200

On Tue, 21 Sep 2021 09:23:06 -0600, David Ahern wrote:
> I realize you are just following suit with this change, but ip can
> change namespaces internally:
> 
> ip -netns at_ns0 neigh add 10.1.1.200 lladdr 52:54:00:d9:02:00 dev $DEV_NS
> 
> All of the 'ip netns exec ... ip ...' commands can be simplified.

I know and I don't like the superfluous exec, either. But that's
something for a different patch. As you said, I'm just following what's
already there. There's ton of different stuff that can be cleaned up in
this and other selftests, unfortunately.

 Jiri